SpriteLibrary

SpriteAdjustmentRatio Structure

A structure that contains the width and height adjustment ratio. Use this if you need to manually calculate positions between the PictureBox that the sprite is in, and the Background Image itself.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public struct SpriteAdjustmentRatio

The SpriteAdjustmentRatio type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
| GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)

Top
Fields

| Name | Description
--- | --- | ---
| height_ratio | Divide a picturebox ratio by this to get the image location. Multiply an image location by this to get the picturebox location.
| width_ratio | Divide a picturebox ratio by this to get the image location. Multiply an image location by this to get the picturebox location.

Top
See Also

#### Reference

SpriteLibrary Namespace